Bug 141148 - textproc/urlview: fix install and replace obsolete browsers.
Summary: textproc/urlview: fix install and replace obsolete browsers.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-03 21:50 UTC by Thierry Thomas
Modified: 2009-12-30 17:50 UTC (History)
1 user (show)

See Also:


Attachments
urlview.diff (1.12 KB, patch)
2009-12-03 21:50 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2009-12-03 21:50:01 UTC
	- Since PR ports/102954, urlview tries to use a script gecko.sh;
	  this script is built, but not installed.

	- Since Sep 2006, this PR was outdated:
	  . firefox is the default, but it is forbidden;
	  . firefox-devel and mozilla have been removed;
	  . the syntax of USE_GECKO has changed, and it does'nt support anymore
	    RUN_DEPENDS to a browser.

Fix: Please apply the following patch:
How-To-Repeat: 	Try to install urlview-0.9_3.
Comment 1 Edwin Groothuis freebsd_committer 2009-12-03 21:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-12-29 03:46:40 UTC
obrien      2009-12-29 03:46:26 UTC

  FreeBSD ports repository

  Modified files:
    textproc/urlview     Makefile 
  Log:
  Switch to master bsd.gecko.mk, drop mozilla support, default to firefox35.
  
  PR:             141148
  Submitted by:   thierry
  
  Revision  Changes    Path
  1.24      +10 -7     ports/textproc/urlview/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 David E. O'Brien freebsd_committer 2009-12-29 03:47:35 UTC
State Changed
From-To: open->closed

Modify diff committed.
Comment 4 Jason 2009-12-30 17:46:18 UTC
This still appears to be broken after a ports tree update.

# pwd
/usr/ports/textproc/urlview
# make
"Makefile", line 32: Could not find bsd.gecko.mk
make: fatal errors encountered -- cannot continue
# pkg_version -v -l'<'
"Makefile", line 32: Could not find bsd.gecko.mk
make: fatal errors encountered -- cannot continue
pkg_version: Failed to get PKGNAME from
/usr/ports/textproc/urlview/Makefile!
urlview-0.9_2                       <   needs updating (index has 0.9_4)